#
# spec file for package kterm (Version 6.2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kterm
Buildroot:    %{_tmppath}/%{name}-build
Version:      6.2.0
Release:      209
Copyright:    XXI working group in Japan Unix Society (XXI)
Group:        X11/Applications
Summary:      Kanji Terminal
Summary(ja):  ¿ X üߥ졼
# original source is tar.gz
Source: ftp://ftp.kddlabs.co.jp//X11/contrib/applications/kterm-6.2.0.tar.bz2
Source1: kterm.termcap
Source2: kterm.terminfo
Source3: KTerm-ja.ad
Patch: kterm-6.2.0-16colors.diff
Patch1: kterm-6.2.0-secure.diff
Patch2: kterm-6.2.0-glibc.pje.patch
Patch3: kterm-6.2.0-glibc2.1.suse.diff
Patch4: kterm-6.2.0-powerpc.diff
Patch5: kterm-6.2.0-glibc2.2-setlocale.patch
# better don't apply this patch, it makes matters worse:
Patch6: kterm-6.2.0-autolinefeed.patch
Patch7: KTerm.ad.patch

%description
Kterm  is  a  multi-lingual  terminal  emulator  based  on
xterm.   The  major  differences of kterm from xterm is
that it can handle multi-lingual text encoded in  ISO2022,
can display colored text, and has the statusline function.
To input multi-lingual text, both  X  Input  Method  (XIM)
protocol  and  kinput2 protocol can be used.

Authors:
--------
    Hiroto Kagotani <kagotani@in.it.okayama-u.ac.jp>

SuSE series: j


%description -l ja 

%prep
%setup                       
cp -pf %{SOURCE1} ./         
cp -pf %{SOURCE2} ./         
cp -pf %{SOURCE3} ./         
%patch -p1             
%patch1 -p1            
%patch2                
%patch3 -p1            
%patch4 -p1
%patch5 -p1
%patch7 -p1

%build
xmkmf -a
make 

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make install DESTDIR=%{?buildroot}
make install.man MANSUFFIX=1 LIBMANSUFFIX=3 DESTDIR=%{?buildroot}
install -d -m755 %{?buildroot}/usr/X11R6/lib/X11/ja/app-defaults/
install -m444 KTerm-ja.ad %{?buildroot}/usr/X11R6/lib/X11/ja/app-defaults/KTerm
install -d -m755 %{?buildroot}/usr/X11R6/man/ja/man1
iconv -f iso-2022-jp -t euc-jp kterm.jman > kterm.1
install -m444 kterm.1 %{?buildroot}/usr/X11R6/man/ja/man1/kterm.1
DOCDIR=%{_docdir}
DOC=""

%post
# 
# Workaround to make kterm find it's app-defaults even if
# LANG="japanese" or LANG="japanese.euc" is used. Setting the LANG
# variable to such a value fails to load the app-defaults because X11
# searches for a directory /usr/X11R6/lib/X11/japanese/app-defaults,
# which doesn't exist.
# 
# See "man XtResolvePathname"
# 
# In the long term, this should probably be solved somehow in X11
# 
# As a temporary workaround I just create symbolic links here, if
# such directories don't exist:
# 
if [ ! -e /usr/X11R6/lib/X11/japanese ] ; then
    ln -s /usr/X11R6/lib/X11/ja /usr/X11R6/lib/X11/japanese
fi
if [ ! -e /usr/X11R6/lib/X11/japanese.euc ] ; then
    ln -s /usr/X11R6/lib/X11/ja /usr/X11R6/lib/X11/japanese.euc
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README.kt DEMO.kt.uu DEMO.xbm kterm.termcap kterm.terminfo
%attr(2755,root,tty)/usr/X11R6/bin/kterm
/usr/X11R6/lib/X11/app-defaults/KTerm
/usr/X11R6/man/man1/kterm.1*
/usr/X11R6/lib/X11/ja/app-defaults/KTerm
/usr/X11R6/man/ja/man1/kterm.1*

%changelog -n kterm
* Mon Aug 20 2001 - mfabian@suse.de
- improve font specifications in Japanese app-defaults to
  allow jisx0212 fonts.
- cleanup spec file.
* Mon May 07 2001 - mfabian@suse.de
- bzip2 source
* Sat Jan 06 2001 - mfabian@suse.de
- make autolinefeed default to "off" again. It *does* have
  disadvantages to turn it on: When turned on, one will get 2
  prompts after typing return only once. Especially bad when
  trying to log in:
  login: mfabian
  password:
  and the password line is skipped, depriving one of the chance
  to enter a password. Must find a different solution for the
  soft-hyphen problem, switching autolinefeed on is really bad.
* Tue Dec 12 2000 - mfabian@suse.de
- make autolinefeed default to "on".
  This helps for viewing man-pages formatted with
  "nroff -mandoc -Tlatin1". With the option "-Tlatin1", nroff
  uses soft-hyphens to hyphenate words. When autolinefeed
  is off, kterm displays a soft-hyphen (0xad) followed by
  a linefeed (0x0a) as a linefeed only, i.e. very ugly
  stairs are visible. When autolinefeed is on, a soft-hyphen
  followed by a linefeed is displayed as linefeed and carriage
  return. This looks much better. The soft-hyphen is still
  invisible, but at least the formatting is OK.
  I found no disadvantages of autolinefeed on, therefore
  I make it the default.
- remove nkf from #neededforbuild and "BuildPreqeq:"
* Mon Dec 11 2000 - mfabian@suse.de
- removed old patch ad.suse.diff
* Fri Dec 08 2000 - mfabian@suse.de
- use iconv instead of nkf to convert manpage
* Fri Dec 08 2000 - mfabian@suse.de
- workaround in %%post to make kterm find it's app-defaults
  even if LANG=japanese or LANG=japanese.euc
* Tue Nov 14 2000 - mfabian@suse.de
- repaired setlocale call for Glibc 2.2
- improved app-defaults.
* Thu Aug 31 2000 - mfabian@suse.de
- Fix to make it work on PowerPC
* Fri Aug 11 2000 - mfabian@suse.de
- moved Japanese  manpage and app-defaults to "ja" subdirectory
* Fri Jun 02 2000 - wede@suse.de
- initial package
